summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-09-02 22:01:04 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-09-02 22:01:04 (EDT)
commit1a30c7893cbbc8a69e4353c8a34193d26aa5e16a (patch)
tree77021f6904c8797cfaaefa5ca7fce24e8be7b7f9 /lib
parent65cce6164f8de46bf95c299eb3202c1c27d9cda5 (diff)
cmd/install: Exit on illegal option
Diffstat (limited to 'lib')
-rw-r--r--lib/cmd/install.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 74242cc..14488f3 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -41,7 +41,10 @@ cmd_install_main()
local mirror=
local foreign=
- get_options "${@}"
+ if ! get_options "${@}"; then
+ print_cmd_usage 'install' >&2
+ exit 1
+ fi
shift $(($OPTIND - 1))
if [ ${#} -lt 2 ]; then